#include <kos.h>
#include <png/png.h>
#include <dcutils/pvrutils.h>
#include <oggvorbis/sndoggvorbis.h>
#include <stdlib.h>
#include <time.h>
#include "smashdc.h"
#include "vars.h"

int main(int argc, char *argv[])
{
	kos_init_all(IRQ_ENABLE | THD_ENABLE | TA_ENABLE, ROMDISK_NONE );
	sndoggvorbis_init();
	snd_stream_init(NULL);
	timer_ms_enable();

	DoSplashScreens();
	DoIntro();
	while (1)
	{
		DoTitleMenu();

		BeginLoadingScreen();
		LoadTextures();
		LoadSoundEffects();
		InitRooms();

		GameLoop();
	}

  	return 0;
}

