#include <time.h>

extern int8 ExitGame;

extern uint32 Time;

extern uint8 CurrentRoom;
extern int8 BossActive;
extern int8 BossDead;

extern int8 StartPressed;

extern uint8 contestants;
extern uint8 difficulty;
extern uint8 gamemode;
extern uint8 music;

extern uint32 Floors[2];
extern uint32 Overlays[2];
extern uint32 LifePanels[2]; // 2 Life panels per level..

extern uint32 NumberTextures[10];

extern uint32 PlayerDead;
extern uint32 Map;
extern uint32 InRoom;
extern uint32 Player1;
extern uint32 Player2;
extern uint32 Player3;
extern uint32 Player4;
extern uint32 PauseLogo;

extern uint32 ItemMine;
extern uint32 Item1Up;
extern uint32 ItemMoney;
extern uint32 ItemGold;
extern uint32 ItemSilver;
extern uint32 ItemRocket;

extern uint32 CompleteAll;

extern int UpArrowAnimFrame;
extern int UpArrowAnimPos;

extern int DownArrowAnimFrame;
extern int DownArrowAnimPos;

extern int LeftArrowAnimFrame;
extern int LeftArrowAnimPos;

extern int RightArrowAnimFrame;
extern int RightArrowAnimPos;

extern Animation ExitUp;
extern Animation ExitDown;
extern Animation ExitLeft;
extern Animation ExitRight;
extern Animation ExitSign;

extern Animation PlayerLegsUp;
extern Animation PlayerLegsDown;
extern Animation PlayerLegsLeft;
extern Animation PlayerLegsRight;
extern Animation PlayerLegsUpLeft;
extern Animation PlayerLegsUpRight;
extern Animation PlayerLegsDownLeft;
extern Animation PlayerLegsDownRight;

extern Animation RedPlayerTorsoUp;
extern Animation RedPlayerTorsoDown;
extern Animation RedPlayerTorsoLeft;
extern Animation RedPlayerTorsoRight;
extern Animation RedPlayerTorsoUpLeft;
extern Animation RedPlayerTorsoUpRight;
extern Animation RedPlayerTorsoDownLeft;
extern Animation RedPlayerTorsoDownRight;
extern Animation RedPlayerTorsoUpShoot;
extern Animation RedPlayerTorsoDownShoot;
extern Animation RedPlayerTorsoLeftShoot;
extern Animation RedPlayerTorsoRightShoot;
extern Animation RedPlayerTorsoUpLeftShoot;
extern Animation RedPlayerTorsoUpRightShoot;
extern Animation RedPlayerTorsoDownLeftShoot;
extern Animation RedPlayerTorsoDownRightShoot;

extern Animation GreenPlayerTorsoUp;
extern Animation GreenPlayerTorsoDown;
extern Animation GreenPlayerTorsoLeft;
extern Animation GreenPlayerTorsoRight;
extern Animation GreenPlayerTorsoUpLeft;
extern Animation GreenPlayerTorsoUpRight;
extern Animation GreenPlayerTorsoDownLeft;
extern Animation GreenPlayerTorsoDownRight;
extern Animation GreenPlayerTorsoUpShoot;
extern Animation GreenPlayerTorsoDownShoot;
extern Animation GreenPlayerTorsoLeftShoot;
extern Animation GreenPlayerTorsoRightShoot;
extern Animation GreenPlayerTorsoUpLeftShoot;
extern Animation GreenPlayerTorsoUpRightShoot;
extern Animation GreenPlayerTorsoDownLeftShoot;
extern Animation GreenPlayerTorsoDownRightShoot;

extern Animation BluePlayerTorsoUp;
extern Animation BluePlayerTorsoDown;
extern Animation BluePlayerTorsoLeft;
extern Animation BluePlayerTorsoRight;
extern Animation BluePlayerTorsoUpLeft;
extern Animation BluePlayerTorsoUpRight;
extern Animation BluePlayerTorsoDownLeft;
extern Animation BluePlayerTorsoDownRight;
extern Animation BluePlayerTorsoUpShoot;
extern Animation BluePlayerTorsoDownShoot;
extern Animation BluePlayerTorsoLeftShoot;
extern Animation BluePlayerTorsoRightShoot;
extern Animation BluePlayerTorsoUpLeftShoot;
extern Animation BluePlayerTorsoUpRightShoot;
extern Animation BluePlayerTorsoDownLeftShoot;
extern Animation BluePlayerTorsoDownRightShoot;

extern Animation YellowPlayerTorsoUp;
extern Animation YellowPlayerTorsoDown;
extern Animation YellowPlayerTorsoLeft;
extern Animation YellowPlayerTorsoRight;
extern Animation YellowPlayerTorsoUpLeft;
extern Animation YellowPlayerTorsoUpRight;
extern Animation YellowPlayerTorsoDownLeft;
extern Animation YellowPlayerTorsoDownRight;
extern Animation YellowPlayerTorsoUpShoot;
extern Animation YellowPlayerTorsoDownShoot;
extern Animation YellowPlayerTorsoLeftShoot;
extern Animation YellowPlayerTorsoRightShoot;
extern Animation YellowPlayerTorsoUpLeftShoot;
extern Animation YellowPlayerTorsoUpRightShoot;
extern Animation YellowPlayerTorsoDownLeftShoot;
extern Animation YellowPlayerTorsoDownRightShoot;

extern Animation NormalBulletUp;
extern Animation NormalBulletDown;
extern Animation NormalBulletLeft;
extern Animation NormalBulletRight;
extern Animation NormalBulletUpLeft;
extern Animation NormalBulletUpRight;
extern Animation NormalBulletDownLeft;
extern Animation NormalBulletDownRight;

extern Animation RocketBulletUp;
extern Animation RocketBulletDown;
extern Animation RocketBulletLeft;
extern Animation RocketBulletRight;
extern Animation RocketBulletUpLeft;
extern Animation RocketBulletUpRight;
extern Animation RocketBulletDownLeft;
extern Animation RocketBulletDownRight;

extern Animation SnakeManWalkUp;
extern Animation SnakeManWalkDown;
extern Animation SnakeManWalkLeft;
extern Animation SnakeManWalkRight;

extern Animation SkullManWalkUp;
extern Animation SkullManWalkDown;
extern Animation SkullManWalkLeft;
extern Animation SkullManWalkRight;

extern Animation GeminiManWalkUp;
extern Animation GeminiManWalkDown;
extern Animation GeminiManWalkLeft;
extern Animation GeminiManWalkRight;

extern Animation PharaohManWalkUp;
extern Animation PharaohManWalkDown;
extern Animation PharaohManWalkLeft;
extern Animation PharaohManWalkRight;

extern Animation TopManWalkUp;
extern Animation TopManWalkDown;
extern Animation TopManWalkLeft;
extern Animation TopManWalkRight;

extern Animation WoodManWalkUp;
extern Animation WoodManWalkDown;
extern Animation WoodManWalkLeft;
extern Animation WoodManWalkRight;

extern Animation BombManWalkUp;
extern Animation BombManWalkDown;
extern Animation BombManWalkLeft;
extern Animation BombManWalkRight;

extern Animation NeedleManWalkUp;
extern Animation NeedleManWalkDown;
extern Animation NeedleManWalkLeft;
extern Animation NeedleManWalkRight;

extern Animation DrWilyWalkUp;
extern Animation DrWilyWalkDown;
extern Animation DrWilyWalkLeft;
extern Animation DrWilyWalkRight;

extern Animation EnemyDeath;
extern Animation BombDeath;

extern _room Rooms[20];
extern _effect Effects[MAX_ENEMIES];
extern _enemy Enemies[50];
extern _playerbullet PlayerBullets[100];
extern _player Players[3];
extern _controlset ControlSets[3];
